Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Interface MonoLibrary.MonoMetaTableEnum

Enclosing interface:
  MonoLibrary

    public static interface MonoLibrary.MonoMetaTableEnum

native declaration : mono\metadata\blob.h
enum values

Field Summary
`static int` | `MONO_TABLE_ASSEMBLY`
`static int` | `MONO_TABLE_ASSEMBLYOS`
`static int` | `MONO_TABLE_ASSEMBLYPROCESSOR`
`static int` | `MONO_TABLE_ASSEMBLYREF`
`static int` | `MONO_TABLE_ASSEMBLYREFOS`
`static int` | `MONO_TABLE_ASSEMBLYREFPROCESSOR`
`static int` | `MONO_TABLE_CLASSLAYOUT`
`static int` | `MONO_TABLE_CONSTANT`
`static int` | `MONO_TABLE_CUSTOMATTRIBUTE`
`static int` | `MONO_TABLE_DECLSECURITY`
`static int` | `MONO_TABLE_EVENT`
`static int` | `MONO_TABLE_EVENT_POINTER`
`static int` | `MONO_TABLE_EVENTMAP`
`static int` | `MONO_TABLE_EXPORTEDTYPE`
`static int` | `MONO_TABLE_FIELD`
`static int` | `MONO_TABLE_FIELD_POINTER`
`static int` | `MONO_TABLE_FIELDLAYOUT`
`static int` | `MONO_TABLE_FIELDMARSHAL`
`static int` | `MONO_TABLE_FIELDRVA`
`static int` | `MONO_TABLE_FILE`
`static int` | `MONO_TABLE_GENERICPARAM`
`static int` | `MONO_TABLE_GENERICPARAMCONSTRAINT`
`static int` | `MONO_TABLE_IMPLMAP`
`static int` | `MONO_TABLE_INTERFACEIMPL`
`static int` | `MONO_TABLE_MANIFESTRESOURCE`
`static int` | `MONO_TABLE_MEMBERREF`
`static int` | `MONO_TABLE_METHOD`
`static int` | `MONO_TABLE_METHOD_POINTER`
`static int` | `MONO_TABLE_METHODIMPL`
`static int` | `MONO_TABLE_METHODSEMANTICS`
`static int` | `MONO_TABLE_METHODSPEC`
`static int` | `MONO_TABLE_MODULE`
`static int` | `MONO_TABLE_MODULEREF`
`static int` | `MONO_TABLE_NESTEDCLASS`
`static int` | `MONO_TABLE_PARAM`
`static int` | `MONO_TABLE_PARAM_POINTER`
`static int` | `MONO_TABLE_PROPERTY`
`static int` | `MONO_TABLE_PROPERTY_POINTER`
`static int` | `MONO_TABLE_PROPERTYMAP`
`static int` | `MONO_TABLE_STANDALONESIG`
`static int` | `MONO_TABLE_TYPEDEF`
`static int` | `MONO_TABLE_TYPEREF`
`static int` | `MONO_TABLE_TYPESPEC`
`static int` | `MONO_TABLE_UNUSED6`
`static int` | `MONO_TABLE_UNUSED7`

Field Detail

### MONO_TABLE_MODULE

    static final int MONO_TABLE_MODULE

See Also:
  Constant Field Values

### MONO_TABLE_TYPEREF

    static final int MONO_TABLE_TYPEREF

See Also:
  Constant Field Values

### MONO_TABLE_TYPEDEF

    static final int MONO_TABLE_TYPEDEF

See Also:
  Constant Field Values

### MONO_TABLE_FIELD_POINTER

    static final int MONO_TABLE_FIELD_POINTER

See Also:
  Constant Field Values

### MONO_TABLE_FIELD

    static final int MONO_TABLE_FIELD

See Also:
  Constant Field Values

### MONO_TABLE_METHOD_POINTER

    static final int MONO_TABLE_METHOD_POINTER

See Also:
  Constant Field Values

### MONO_TABLE_METHOD

    static final int MONO_TABLE_METHOD

See Also:
  Constant Field Values

### MONO_TABLE_PARAM_POINTER

    static final int MONO_TABLE_PARAM_POINTER

See Also:
  Constant Field Values

### MONO_TABLE_PARAM

    static final int MONO_TABLE_PARAM

See Also:
  Constant Field Values

### MONO_TABLE_INTERFACEIMPL

    static final int MONO_TABLE_INTERFACEIMPL

See Also:
  Constant Field Values

### MONO_TABLE_MEMBERREF

    static final int MONO_TABLE_MEMBERREF

See Also:
  Constant Field Values

### MONO_TABLE_CONSTANT

    static final int MONO_TABLE_CONSTANT

See Also:
  Constant Field Values

### MONO_TABLE_CUSTOMATTRIBUTE

    static final int MONO_TABLE_CUSTOMATTRIBUTE

See Also:
  Constant Field Values

### MONO_TABLE_FIELDMARSHAL

    static final int MONO_TABLE_FIELDMARSHAL

See Also:
  Constant Field Values

### MONO_TABLE_DECLSECURITY

    static final int MONO_TABLE_DECLSECURITY

See Also:
  Constant Field Values

### MONO_TABLE_CLASSLAYOUT

    static final int MONO_TABLE_CLASSLAYOUT

See Also:
  Constant Field Values

### MONO_TABLE_FIELDLAYOUT

    static final int MONO_TABLE_FIELDLAYOUT

See Also:
  Constant Field Values

### MONO_TABLE_STANDALONESIG

    static final int MONO_TABLE_STANDALONESIG

See Also:
  Constant Field Values

### MONO_TABLE_EVENTMAP

    static final int MONO_TABLE_EVENTMAP

See Also:
  Constant Field Values

### MONO_TABLE_EVENT_POINTER

    static final int MONO_TABLE_EVENT_POINTER

See Also:
  Constant Field Values

### MONO_TABLE_EVENT

    static final int MONO_TABLE_EVENT

See Also:
  Constant Field Values

### MONO_TABLE_PROPERTYMAP

    static final int MONO_TABLE_PROPERTYMAP

See Also:
  Constant Field Values

### MONO_TABLE_PROPERTY_POINTER

    static final int MONO_TABLE_PROPERTY_POINTER

See Also:
  Constant Field Values

### MONO_TABLE_PROPERTY

    static final int MONO_TABLE_PROPERTY

See Also:
  Constant Field Values

### MONO_TABLE_METHODSEMANTICS

    static final int MONO_TABLE_METHODSEMANTICS

See Also:
  Constant Field Values

### MONO_TABLE_METHODIMPL

    static final int MONO_TABLE_METHODIMPL

See Also:
  Constant Field Values

### MONO_TABLE_MODULEREF

    static final int MONO_TABLE_MODULEREF

See Also:
  Constant Field Values

### MONO_TABLE_TYPESPEC

    static final int MONO_TABLE_TYPESPEC

See Also:
  Constant Field Values

### MONO_TABLE_IMPLMAP

    static final int MONO_TABLE_IMPLMAP

See Also:
  Constant Field Values

### MONO_TABLE_FIELDRVA

    static final int MONO_TABLE_FIELDRVA

See Also:
  Constant Field Values

### MONO_TABLE_UNUSED6

    static final int MONO_TABLE_UNUSED6

See Also:
  Constant Field Values

### MONO_TABLE_UNUSED7

    static final int MONO_TABLE_UNUSED7

See Also:
  Constant Field Values

### MONO_TABLE_ASSEMBLY

    static final int MONO_TABLE_ASSEMBLY

See Also:
  Constant Field Values

### MONO_TABLE_ASSEMBLYPROCESSOR

    static final int MONO_TABLE_ASSEMBLYPROCESSOR

See Also:
  Constant Field Values

### MONO_TABLE_ASSEMBLYOS

    static final int MONO_TABLE_ASSEMBLYOS

See Also:
  Constant Field Values

### MONO_TABLE_ASSEMBLYREF

    static final int MONO_TABLE_ASSEMBLYREF

See Also:
  Constant Field Values

### MONO_TABLE_ASSEMBLYREFPROCESSOR

    static final int MONO_TABLE_ASSEMBLYREFPROCESSOR

See Also:
  Constant Field Values

### MONO_TABLE_ASSEMBLYREFOS

    static final int MONO_TABLE_ASSEMBLYREFOS

See Also:
  Constant Field Values

### MONO_TABLE_FILE

    static final int MONO_TABLE_FILE

See Also:
  Constant Field Values

### MONO_TABLE_EXPORTEDTYPE

    static final int MONO_TABLE_EXPORTEDTYPE

See Also:
  Constant Field Values

### MONO_TABLE_MANIFESTRESOURCE

    static final int MONO_TABLE_MANIFESTRESOURCE

See Also:
  Constant Field Values

### MONO_TABLE_NESTEDCLASS

    static final int MONO_TABLE_NESTEDCLASS

See Also:
  Constant Field Values

### MONO_TABLE_GENERICPARAM

    static final int MONO_TABLE_GENERICPARAM

See Also:
  Constant Field Values

### MONO_TABLE_METHODSPEC

    static final int MONO_TABLE_METHODSPEC

See Also:
  Constant Field Values

### MONO_TABLE_GENERICPARAMCONSTRAINT

    static final int MONO_TABLE_GENERICPARAMCONSTRAINT

See Also:
  Constant Field Values

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD